﻿using System;
using System.IO;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            // 경로가 지정되지 않으면 Environment.CurrentDirectory가 기본 경로로 사용됨.
            // 대상 폴더에 파일이 없다면,
            File.Copy("test.log", "test.dat");

            // 대상 폴더에 파일이 있고, 덮어 쓸 의도라면,
            File.Copy("test.log", "test.dat", true);

            // 폴더가 동일하다면 파일명 변경
            File.Move("test.log", "test.dat");

            // 폴더가 다르다면 파일 이동
            File.Move("test.log", "c:\\temp\\test.dat");


            // Move의 덮어 쓰기 구현
            {
                string target = "c:\\temp\\test.dat";
                if (File.Exists(target) == true)
                {
                    File.Delete(target);
                }
                File.Move("test.log", target);
            }

            {
                string text = new string('c', 20); // 문자 c를 20개 반복한 문자열을 생성
                File.WriteAllText("test.log", text);

                string clone = File.ReadAllText("test.log");
                Console.WriteLine(clone);
            }

            {
                FileInfo source = new FileInfo("test.log");
                FileInfo target = new FileInfo("c:\\temp\\test.dat");

                if (target.Exists == true)
                {
                    target.Delete();
                }

                source.MoveTo(target.FullName);
            }

        }
    }
}
